> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Evaluation Criteria Version

> 
Retrieve a specific evaluation criteria version. Use to inspect version configuration or compare with other versions.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/evaluation-criteria/id/{criteria_id}/versions/{version_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/evaluation-criteria/id/{criteria_id}/versions/{version_id}:
    get:
      tags:
        - Evaluation Criteria
      summary: Get Evaluation Criteria Version
      description: >-

        Retrieve a specific evaluation criteria version. Use to inspect version
        configuration or compare with other versions.
      operationId: get_get_criteria_version
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: criteria_id
          in: path
          required: true
          schema:
            type: string
        - name: version_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  version_id:
                    format: uuid
                    title: Version Id
                    type: string
                  name:
                    title: Name
                    type: string
                  question:
                    title: Question
                    type: string
                  llm_question:
                    title: Llm Question
                    type:
                      - string
                      - 'null'
                  llm_eval_enabled:
                    title: Llm Eval Enabled
                    type: boolean
                  type:
                    $ref: '#/components/schemas/AutoEvalCriteriaType'
                  rubric:
                    additionalProperties:
                      type: string
                    title: Rubric
                    type: object
                  multi_select_labels:
                    items:
                      type: string
                    title: Multi Select Labels
                    type: array
                  version_number:
                    title: Version Number
                    type: integer
                  is_deployed:
                    title: Is Deployed
                    type: boolean
                  created_at:
                    title: Created At
                    type: integer
                  sample_rate:
                    title: Sample Rate
                    type:
                      - number
                      - 'null'
                  target:
                    $ref: '#/components/schemas/EvaluationCriteriaTarget'
                  created_by_user:
                    oneOf:
                      - $ref: '#/components/schemas/UserInfo'
                      - type: 'null'
                  alignment_score:
                    default: null
                    oneOf:
                      - $ref: '#/components/schemas/AlignmentScore'
                      - type: 'null'
                  options:
                    anyOf:
                      - items:
                          type: string
                        type: array
                      - items:
                          type: integer
                        type: array
                      - type: 'null'
                    default: null
                    title: Options
                  model_id:
                    default: null
                    title: Model Id
                    format: uuid
                    type:
                      - string
                      - 'null'
                  model_name:
                    default: null
                    title: Model Name
                    type:
                      - string
                      - 'null'
                  position:
                    default: null
                    title: Position
                    type:
                      - number
                      - 'null'
                  is_enabled:
                    default: true
                    title: Is Enabled
                    type: boolean
                  generate_insights:
                    default: true
                    title: Generate Insights
                    type: boolean
                  criteria_description:
                    default: null
                    title: Criteria Description
                    type:
                      - string
                      - 'null'
                  references:
                    default: null
                    title: References
                    items:
                      type: string
                    type:
                      - array
                      - 'null'
                  allow_multiple_categories:
                    default: false
                    title: Allow Multiple Categories
                    type: boolean
                  categories:
                    default: null
                    title: Categories
                    items:
                      $ref: '#/components/schemas/AutoCategorizationCategoryInfo'
                    type:
                      - array
                      - 'null'
                  eval_code:
                    default: null
                    title: Eval Code
                    type:
                      - string
                      - 'null'
                  language:
                    default: null
                    oneOf:
                      - $ref: '#/components/schemas/CodeEvalLanguage'
                      - type: 'null'
                  pass_score:
                    anyOf:
                      - type: string
                      - type: integer
                      - type: number
                      - type: boolean
                      - type: 'null'
                    default: null
                    title: Pass Score
                required:
                  - id
                  - version_id
                  - name
                  - question
                  - llm_question
                  - llm_eval_enabled
                  - type
                  - rubric
                  - multi_select_labels
                  - version_number
                  - is_deployed
                  - created_at
                  - sample_rate
                  - target
                  - created_by_user
                title: CriteriaVersionApiInfo
                type: object
          description: >-
            Frozen copy of the old flat EvaluationCriteriaVersionInfo shape for
            backward-compatible public API.
components:
  schemas:
    AutoEvalCriteriaType:
      enum:
        - 1-5
        - 1-3
        - 1-100
        - yes-no
        - multi-select
        - text
        - auto-categorization
        - code-bool
        - code-float
      title: AutoEvalCriteriaType
      type: string
    EvaluationCriteriaTarget:
      properties:
        target_type:
          $ref: '#/components/schemas/TargetType'
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - target_type
        - id
        - name
      title: EvaluationCriteriaTarget
      type: object
    UserInfo:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        email_address:
          title: Email Address
          type: string
        roles:
          items:
            type: string
          title: Roles
          type: array
        first_name:
          title: First Name
          type: string
        last_name:
          title: Last Name
          type: string
        signup_source:
          title: Signup Source
          type: string
        profile_picture:
          default: null
          title: Profile Picture
          type:
            - string
            - 'null'
        profile_color:
          default: null
          title: Profile Color
          type:
            - string
            - 'null'
      required:
        - id
        - email_address
        - roles
        - first_name
        - last_name
        - signup_source
      title: UserInfo
      type: object
    AlignmentScore:
      properties:
        number_correct:
          title: Number Correct
          type: integer
        number_incorrect:
          title: Number Incorrect
          type: integer
        ratio:
          title: Ratio
          type: number
        average_cost:
          title: Average Cost
          type: number
      required:
        - number_correct
        - number_incorrect
        - ratio
        - average_cost
      title: AlignmentScore
      type: object
    AutoCategorizationCategoryInfo:
      properties:
        name:
          title: Name
          type: string
        description:
          title: Description
          type: string
      required:
        - name
        - description
      title: AutoCategorizationCategoryInfo
      type: object
    CodeEvalLanguage:
      enum:
        - python
        - typescript
      title: CodeEvalLanguage
      type: string
    TargetType:
      enum:
        - prompt
        - agent
      title: TargetType
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````